# class TruthValue |
Full name | `Snmp::TruthValue`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- TruthValue ()
- TruthValue (void* data, int len)
- ~TruthValue ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int32_t m_TruthValue
- static const int32_t s_true_TruthValue
- static const int32_t s_false_TruthValue

## Detailed Description

static const int s_type | ### s_type

int32_t m_TruthValue | ### m_TruthValue

static const int32_t s_true_TruthValue | ### s_true_TruthValue

static const int32_t s_false_TruthValue | ### s_false_TruthValue

TruthValue () | ### TruthValue

TruthValue (void* data, int len) | ### TruthValue

~TruthValue () | ### ~TruthValue

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.